elpa-ghub+_0.2.1-1_all.deb


Advertisement

Description

elpa-ghub+ - thick GitHub API client built on ghub

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name elpa-ghub+
Package version 0.2.1
Package release 1
Package architecture all
Package type deb
Installed size 66 B
Download size 11.79 KB
Official Mirror archive.ubuntu.com
Provides some sugar for `ghub'. See package `apiwrap'
for generated function usage instructions.
Its aim is to provide the common functionality most
helpful for application development.
Since ghub+ is built on ghub, any and all features
you find lacking in ghub+ can be done with ghub without
needing to dig into either package's internals.
However, ghub+ provides some macros you may find helpful
in development; see Extending for details.

Alternatives

Package Version Architecture Repository
elpa-ghub+_0.2.1-1_all.deb 0.2.1 all Ubuntu Universe
elpa-ghub+ - - -

Requires

Name Value
elpa-apiwrap >= 0.4
elpa-ghub >= 1.2
emacsen-common -

Conflicts

Name Value
emacs24 -

Download

Type URL
Binary Package elpa-ghub+_0.2.1-1_all.deb
Source Package ghub-plus-el

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install elpa-ghub+ deb package:
    # sudo apt-get install elpa-ghub+

Files

Path
/usr/lib/emacsen-common/packages/compat/elpa-ghub+
/usr/lib/emacsen-common/packages/install/elpa-ghub+
/usr/lib/emacsen-common/packages/remove/elpa-ghub+
/usr/share/doc/elpa-ghub+/README.org
/usr/share/doc/elpa-ghub+/changelog.Debian.gz
/usr/share/doc/elpa-ghub+/copyright
/usr/share/emacs/site-lisp/elpa-src/ghub+-0.2.1/ghub+-autoloads.el
/usr/share/emacs/site-lisp/elpa-src/ghub+-0.2.1/ghub+-pkg.el
/usr/share/emacs/site-lisp/elpa-src/ghub+-0.2.1/ghub+.el

Changelog

2018-01-19 - Matteo F. Vescovi <mfv@debian.org>
ghub-plus-el (0.2.1-1) unstable; urgency=medium
* New upstream release
* debian/: debhelper bump 10 -> 11
* debian/control: S-V bump 4.1.1 -> 4.1.3 (no changes needed)
2017-10-20 - Matteo F. Vescovi <mfv@debian.org>
ghub-plus-el (0.2-1) unstable; urgency=medium
* New upstream release
- debian/patches/: patchset dropped (fixed upstream)
* debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)
2017-09-08 - Matteo F. Vescovi <mfv@debian.org>
ghub-plus-el (0.1.5-2) unstable; urgency=medium
[ Nicholas D Steeves ]
* debian/copyright: fix Upstream-Name
* debian/control: fix typo in Homepage field
(Closes: #874592)
2017-08-21 - Matteo F. Vescovi <mfv@debian.org>
ghub-plus-el (0.1.5-1) unstable; urgency=medium
* New upstream release
- debian/patches/: patchset updated
- 0001-Fix_package_version.patch added
2017-07-22 - Matteo F. Vescovi <mfv@debian.org>
ghub-plus-el (0.1.4-2) unstable; urgency=medium
* Upload to unstable
* debian/control:
- S-V bump 3.9.8 -> 4.0.0 (no changes needed)
- fix dependencies on emacs24
* debian/docs: README.org file added
2017-06-12 - Matteo F. Vescovi <mfv@debian.org>
ghub-plus-el (0.1.4-1) experimental; urgency=medium
* Initial release (Closes: #864521)

See Also

Package Description
elpa-ghub_1.3.0-1_all.deb minuscule client for the Github API
elpa-git-annex_1.1-1_all.deb Emacs integration for git-annex
elpa-git-commit_2.11.0-1_all.deb Major mode for editing git commit message
elpa-git-messenger_0.18-2_all.deb pop up last commit information of current line
elpa-git-modes_1.2.6-1_all.deb major modes for editing Git configuration files
elpa-git-timemachine_4.4-1_all.deb walk through git revisions of a file
elpa-gitattributes-mode_1.2.6-1_all.deb major mode for editing Git configuration files (gitattributes)
elpa-gitconfig-mode_1.2.6-1_all.deb major mode for editing Git configuration files (gitconfig and gitmodules)
elpa-gitignore-mode_1.2.6-1_all.deb major mode for editing Git configuration files (gitignore)
elpa-go-autocomplete_20170907-2_all.deb auto-complete-mode backend for Go code
elpa-go-mode_1.5.0-1_all.deb Emacs mode for editing Go code
elpa-golden-ratio_1.0-2_all.deb automatic resizing of Emacs windows to the golden ratio
elpa-goto-chg_1.6-1_all.deb navigate the point to the most recent edit in the buffer
elpa-helm-ag_0.58-1_all.deb Silver Searcher integration with Emacs Helm
elpa-helm-core_2.8.8-1_all.deb Emacs Helm library files
Advertisement
Advertisement